## org.apache.lucene.analysis.ru
Class RussianLowerCaseFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.ru.RussianLowerCaseFilter

All Implemented Interfaces:
  Closeable

Deprecated. Use `LowerCaseFilter` instead, which has the same functionality. This filter will be removed in Lucene 4.0

    @Deprecated
    public final class RussianLowerCaseFilter

extends org.apache.lucene.analysis.TokenFilter

Normalizes token text to lower case.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`RussianLowerCaseFilter(org.apache.lucene.analysis.TokenStream in)` Deprecated.

Method Summary
`boolean` `incrementToken()` Deprecated.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RussianLowerCaseFilter

    public RussianLowerCaseFilter(org.apache.lucene.analysis.TokenStream in)

  Deprecated.

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Deprecated.
  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`